<?php

if (isset($_GET['plid']) and isset($_GET['elid'])) {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=file.paste&elid=' . urlencode($_SESSION['paste']) . '&plid=' . urlencode($_GET['plid'] . '/' . $_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
} elseif (isset($_GET['elid'])) {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=file.paste&elid=' . urlencode($_SESSION['paste']) . '&plid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=file.paste&elid=' . urlencode($_SESSION['paste']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
}
$parse_xml = simplexml_load_string($content);

echo '<div class="post"><div style="text-align:center">' . "\n";

if (substr($_SESSION['paste'], 0, 3) == '//x') {
    echo 'Объекты успешно перемещены.<br />' . "\n";
    unset($_SESSION['paste']);
} else {
    echo 'Объекты успешно скопированы.<br />' . "\n";
}

echo '<a href="?func=file';
if (isset($_GET['elid'])) {
    echo '&amp;elid=' . urlencode($_GET['elid']);
}
if (isset($_GET['plid'])) {
    echo '&amp;plid=' . urlencode($_GET['plid']);
}
echo '">Продолжить&#187;</a>' . "\n";
echo '</div></div>' . "\n";

?>